python-oslo.concurrency (6.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with release.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:47:01 +0000

python-oslo.concurrency (6.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 11:14:14 +0100

python-oslo.concurrency (6.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:15:49 +0000

python-oslo.concurrency (5.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 14:23:51 +0000

python-oslo.concurrency (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:52:57 -0400

python-oslo.concurrency (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:08:49 -0500

python-oslo.concurrency (5.0.1-0ubuntu2) kinetic; urgency=medium

  * d/rules: Align test execution with upstream tox.ini and changes
    made in Debian by Thomas Goirand.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 16:32:02 -0400

python-oslo.concurrency (5.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:13:11 -0400

python-oslo.concurrency (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:09:00 -0400

python-oslo.concurrency (4.5.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:53:31 -0400

python-oslo.concurrency (4.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:31:15 -0500

python-oslo.concurrency (4.4.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 13:26:41 +0000

python-oslo.concurrency (4.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:18:21 +0000

python-oslo.concurrency (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:33:37 -0400

python-oslo.concurrency (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:31:20 +0000

python-oslo.concurrency (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:38:23 -0400

python-oslo.concurrency (4.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:45:31 -0400

python-oslo.concurrency (4.0.0-0ubuntu2) focal; urgency=medium

  * d/control: Really drop python3-posix-ipc (LP: #1851537).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 15:33:50 +0100

python-oslo.concurrency (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:39:02 -0400

python-oslo.concurrency (3.31.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:35:14 +0000

python-oslo.concurrency (3.30.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:10:59 +0200

python-oslo.concurrency (3.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:10:10 +0200

python-oslo.concurrency (3.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:20:02 -0400

python-oslo.concurrency (3.29.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:56:17 +0200

python-oslo.concurrency (3.29.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed installation of alternatives.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 15:35:20 +0100

python-oslo.concurrency (3.29.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-oslo.concurrency binary package.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 11:18:50 +0200

python-oslo.concurrency (3.29.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:30 +0000

python-oslo.concurrency (3.29.0-0ubuntu1) disco; urgency=medium

  * d/python3-oslo.concurrency.postinst: Bump priority of py3
    alternatives.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:19:37 +0000

python-oslo.concurrency (3.28.1-0ubuntu2) disco; urgency=medium

  * d/control: python-openstackdocstheme -> python3-openstackdocstheme.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:39:24 +0000

python-oslo.concurrency (3.28.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:17:37 +0000

python-oslo.concurrency (3.27.0-3) unstable; urgency=medium

  * Removed python{3,}-posix-ipc as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 11:28:23 +0200

python-oslo.concurrency (3.27.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:52:58 +0200

python-oslo.concurrency (3.27.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 12:12:10 +0200

python-oslo.concurrency (3.27.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Set debhelper compat to >= 10 and standards
      version to 4.1.2.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 13:39:44 -0400

python-oslo.concurrency (3.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:15:05 +0000

python-oslo.concurrency (3.25.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 14:19:47 +0100

python-oslo.concurrency (3.25.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 13:58:00 -0500

python-oslo.concurrency (3.23.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop Breaks/Replaces. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 15:17:38 +0000

python-oslo.concurrency (3.21.0-3) unstable; urgency=medium

  * Apply Ubuntu patch to fix unit tests on i386 (those tests which I disabled
    in previous Debian release). Now running all tests again. (Closes: #880597)

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 22:13:09 +0100

python-oslo.concurrency (3.21.0-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/rules: Run all tests.
    - d/control: Retain Breaks/Replaces.
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/p/lock-path-tempfile.patch: Cherry picked from upstream to set default
      of lock_file to a tempfile if OSLO_LOCK_PATH isn't set (LP: #1550188).
    - d/p/fix-tests-i386.patch: Fix tests that fail on i386 builds.
    - d/watch: Use tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:19:29 -0400

python-oslo.concurrency (3.21.0-2) unstable; urgency=medium

  * Disable some unit tests failing on i386 (Closes: #880227).
  * Using pkgos-dh_auto_test.
  * Watch file using https.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_install.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:10:59 +0000

python-oslo.concurrency (3.21.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed all patches: either not relevant or applied upstream.
  * debian/gbp.conf to use debian/pike as packaging branch.
  * Removed now useless transition packages.
  * Fixed debian/copyright holders.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 19:34:28 +0000

python-oslo.concurrency (3.21.0-0ubuntu2) artful; urgency=medium

  * d/control: Fix typo for python3-oslo.i18n.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 09:14:21 -0400

python-oslo.concurrency (3.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:39:38 -0400

python-oslo.concurrency (3.20.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:26 +0100

python-oslo.concurrency (3.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:20:00 -0500

python-oslo.concurrency (3.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2017 09:05:05 -0500

python-oslo.concurrency (3.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.
  * d/control: Dropped python-retrying.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 10:45:17 -0500

python-oslo.concurrency (3.15.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 14:58:45 -0400

python-oslo.concurrency (3.14.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-tests-i386.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:10:15 +0100

python-oslo.concurrency (3.11.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Switch to openstack-pkg-tools pkgos-dh_auto_{test,install}.
  * Drop python-oslo- binary packages (not needed for Ubuntu anymore).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 13:51:01 +0000

python-oslo.concurrency (3.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream

  [ Corey Bryant ]
  * New upstream release.

  [ Thomas Goirand ]
  * Added Corey Bryant as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 12:48:36 +0000

python-oslo.concurrency (3.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:07:44 +0200

python-oslo.concurrency (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:42:17 +0000

python-oslo.concurrency (3.7.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/fix-tests-i386.patch: Fix tests that fail on i386 builds.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:17:31 +0200

python-oslo.concurrency (3.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lock-path-tempfile.patch: Cherry picked from upstream to set default
    of lock_file to a tempfile if OSLO_LOCK_PATH isn't set (LP: #1550188).

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 10:45:58 +0000

python-oslo.concurrency (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:27:02 +0000

python-oslo.concurrency (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also run tests in Python 3.5.
  * Removed all patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:36:33 +0000

python-oslo.concurrency (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:53:33 +0100

python-oslo.concurrency (2.6.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:22:37 +0000

python-oslo.concurrency (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:22:21 +0000

python-oslo.concurrency (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Don't test with Python 3.5 for now (only 3.4) as there's unit test
    failures.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:12:06 +0200

python-oslo.concurrency (2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.
  * Stop the manual copy of now inexistant folder.
  * Added Priority: extra to transition packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:57:32 +0000

python-oslo.concurrency (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:48:56 +0100

python-oslo.concurrency (1.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-concurrency packages in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:49:55 +0100

python-oslo.concurrency (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-retrying as (build-)depends.
  * Copy the openstack-common stuff manually, as it's not there.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 10:44:01 +0800

python-oslo.concurrency (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #769287)

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 20:49:34 +0800

